swry = LibStub("AceAddon-3.0"):NewAddon("swry", "AceConsole-3.0");

function MyAddon:OnInitialize()
	-- Code that you want to run when the addon is first loaded goes here.
	self.db = LibStub("AceDB-3.0"):New("SWRYDB")
	self:print("Seal Won't Remember You (SWRY) loaded.");


	self:RawHook("ChatFrame_OnEvent", true); -- whisper commands
end


function MyAddon:OnEnable()
    -- Called when the addon is enabled
	self:print("Enabled.");
end

function MyAddon:OnDisable()
    -- Called when the addon is disabled
	self:print("Disabled.");
end


function swry:ChatFrame_OnEvent(context, event, msg, ...)
	-- this hook is used to hide unwanted messages from sight.
	if event == "CHAT_MSG_WHISPER_INFORM" and msg:find("^" .. sdkp.name) then
		-- Outgoing whispers
		swry:Debug("event", event, "msg", msg, ...);
	elseif event == "CHAT_MSG_WHISPER" and 
		-- Incoming whispers
		(msg:find("^!help") or msg:find("^!here") or msg:find("^!dkp") 
		or msg:find("^!attendance") or msg:find("^!att")
		or msg:find("^!waitlist") or msg:find("^!wl")) then
		-- hide incoming whisper commands
		swry:Debug("event", event, "msg", msg, ...);
	else
		-- call original handler
		self.hooks["ChatFrame_OnEvent"](context, event, msg, ...);	
	end
end